Summary: Assistive Technologies (AT) for blind and visually impaired person
Name: gnopernicus
Version: 1.1.2
Release: %mkrel 2
License: LGPL
Group: Accessibility
URL: http://www.baum.ro/gnopernicus.html
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gnome-speech-devel >= 0.3.0
BuildRequires: gnome-mag-devel >= 0.11.0
BuildRequires: at-spi-devel >= 1.5.0
BuildRequires: scrollkeeper
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: perl-XML-Parser
BuildRequires: automake1.7
BuildRequires: intltool
BuildRequires: gnome-common
BuildRequires: gtk-doc
BuildRequires: desktop-file-utils
Requires: %{_lib}gail-gnome
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
Gnopernicus  provides Assistive Technologies (AT) for blind and 
visually impaired person. 

%package devel
Summary:	Static libraries, include files for gnopernicus
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}-%{release}

%description devel
Gnopernicus  provides Assistive Technologies (AT) for blind and 
visually impaired person. 

%prep
%setup -q

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
rm -rf %buildroot/var/lib/scrollkeeper

# menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
	needs="X11" \
	section="More Applications/Accessibility" \
	title="Gnopernicus" \
	longtitle="Screen Reader and Magnifier" \
	command="%{_bindir}/gnopernicus" \
	icon="/usr/share/pixmaps/gnopernicus.png" \
	startup_notify="true" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Accessibility" \
  --add-category="Utility" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT
%post
%update_scrollkeeper
%define schemas brlmonitor gnopernicus remote
%post_install_gconf_schemas %schemas
%{update_menus}
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %schemas

%postun 
%clean_scrollkeeper
%{clean_menus}
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog AUTHORS
%{_sysconfdir}/gconf/schemas/brlmonitor.schemas
%{_sysconfdir}/gconf/schemas/gnopernicus.schemas
%{_sysconfdir}/gconf/schemas/remote.schemas
%config(noreplace) %{_sysconfdir}/gnopernicus-1.0
%{_bindir}/*
%dir %{_libdir}/gnopernicus-1.0
%{_libdir}/gnopernicus-1.0/*.so.*
%{_libdir}/brlmonitor
%{_datadir}/gnopernicus
%_datadir/icons/hicolor/*/apps/%name.*
%dir %{_datadir}/omf/gnopernicus
%{_datadir}/omf/gnopernicus/*-C.omf
%lang (es) %{_datadir}/omf/gnopernicus/*-es.omf
%{_datadir}/applications/*
%{_menudir}/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/gnopernicus-1.0/*.so
%attr(644,root,root) %{_libdir}/gnopernicus-1.0/*.la




%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.1.2-2mdv2008.1
+ Revision: 136452
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Dec 29 2006 Frederic Crozat <fcrozat@mandriva.com> 1.1.2-2mdv2007.0
+ Revision: 102475
- Fix dependency on libgail-gnome for biarch
- Import gnopernicus

* Mon Sep 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.2-2mdv2007.0
- Fix XDG menu

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 1.1.2-1mdv2007.0
- New release 1.1.2

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 1.1.1-2mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Gtz Waschk <waschk@mandriva.org> 1.1.1-1mdv2007.0
- xdg menu
- New release 1.1.1

* Sat Jun 03 2006 Frederic Crozat <fcrozat@mandriva.com> 1.1.0-1mdv2007.0
- Release 1.1.0

* Wed May 24 2006 Gtz Waschk <waschk@mandriva.org> 1.0.5-1mdk
- fix installation
- New release 1.0.5

* Tue Apr 11 2006 Götz Waschk <waschk@mandriva.org> 1.0.4-1mdk
- New release 1.0.4

* Tue Mar 07 2006 Gtz Waschk <waschk@mandriva.org> 1.0.3-1mdk
- fix build
- New release 1.0.3

* Mon Feb 13 2006 Götz Waschk <waschk@mandriva.org> 1.0.2-1mdk
- New release 1.0.2

* Mon Jan 30 2006 Götz Waschk <waschk@mandriva.org> 1.0.1-1mdk
- New release 1.0.1
- use mkrel

* Mon Dec 05 2005 Frederic Crozat <fcrozat@mandriva.com> 0.12.0-2mdk
- Rebuild linc-devel buildrequires

* Wed Oct 12 2005 Frederic Crozat <fcrozat@mandriva.com> 0.12.0-1mdk
- Release 0.12.0

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 0.11.7-1mdk
- Release 0.11.7

* Sun May 22 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.10.9-3mdk
- add BuildRequires: intltool gnome-common gtk-doc

* Tue May 10 2005 Frederic Crozat <fcrozat@mandriva.com> 0.10.9-2mdk 
- Fix build on x86-64

* Tue May 10 2005 Frederic Crozat <fcrozat@mandriva.com> 0.10.9-1mdk 
- Release 0.10.9

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.17-2mdk 
- Rebuild with latest howl

* Wed Nov 10 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.17-1mdk
- New release 0.9.17

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.16-1mdk
- New release 0.9.16

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.4-4mdk
- Fix menu

* Fri Jul 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.4-3mdk
- Enable libtoolize
- Add lang tag to omf files

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.4-2mdk
- Fix BuildRequires

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.4-1mdk
- New release 0.8.4

* Thu Apr 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.2-1mdk
- New release 0.8.2

* Fri Mar 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.1-5mdk
- Enforce libgail-gnome dependency

* Wed Jan 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.1-4mdk
- Fix menu again

* Thu Jan 22 2004 David Baudens <baudens@mandrakesoft.com> 0.7.1-3mdk
- Fix menu

